Bug 1013508 - migration: closing connection to clustered nodes fails after migration
migration: closing connection to clustered nodes fails after migration
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Upgrade (Show other bugs)
JON 3.2
x86_64 Linux
unspecified Severity high
: ER01
: JON 3.3.0
Assigned To: RHQ Project Maintainer
Armine Hovsepyan
:
Depends On: 1126410
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 04:59 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 08:59:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
migration.log (55.45 KB, text/plain)
2014-10-07 08:48 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Armine Hovsepyan 2013-09-30 04:59:58 EDT
Description of problem:
migration: closing connection to clustered nodes fails after migration

Version-Release number of selected component (if applicable):
JON 3.2 ER1

How reproducible:
1 out of 2 (very occasionally) 

Steps to Reproduce:
1. install jon 3.1.2 GA with server and agent in IP1
2. install jon 3.1.2 GA agent in IP2
3. upgrade server and both agents to jon 3.2 ER1
4. install storage nodes on both IP1 and IP2
5. run migration for from postgres to both cassandra storage nodes by the following command:
--cassandra-hosts=IP1,IP2 --cassandra-user=rhqadmin --cassandra-password=rhqadmin --cassandra-port=9142 --sql-port=5432 --sql-server-type=postgres --sql-db=rhq --estimate-only=false -X


Actual results:
connection shut down fails ->  http://d.pr/f/ub56

Expected results:
migration and connection shut down works without exceptions in log.


Additional info:
Comment 1 Simeon Pinder 2013-11-08 09:41:23 EST
Moving to unspecified target milestone as only JON 3.2.0 'blockers'(https://url.corp.redhat.com/bz-jon32-blockers-list-notmodified-nodocs) will make it into subsequent builds after ER5.
Comment 3 Jay Shaughnessy 2014-08-26 11:25:07 EDT
I think this should probably be retested against 3.3 given changes to the migrator in the last year. Setting ON_QA.
Comment 5 Armine Hovsepyan 2014-10-07 08:48:03 EDT
Created attachment 944580 [details]
migration.log
Comment 6 Armine Hovsepyan 2014-10-07 08:48:18 EDT
verified in JON 3.3 ER04

Note You need to log in before you can comment on or make changes to this bug.